import os


class File:
    def __init__(self, file_path: str = "/path/to/file.fits"):
        self.file_path = file_path
        self.file_path_prefix, self.file_path_ext = os.path.splitext(file_path)

    def switch_extension(self, ext="wht.fits") -> str:
        if ext.startswith("."):
            return self.file_path_prefix + ext
        else:
            return self.file_path_prefix + "_" + ext
